Bug 220450 - usb 1-1: device descriptor read/all, error -71
usb 1-1: device descriptor read/all, error -71
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
6
i586 Linux
medium Severity medium
: ---
: ---
Assigned To: Pete Zaitcev
Brian Brock
bzcl34nup
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-12-21 08:09 EST by Harald Braun
Modified: 2008-05-06 13:13 EDT (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-05-06 13:13:28 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Installation-Log (142.71 KB, text/plain)
2006-12-21 08:09 EST, Harald Braun
no flags Details

  None (edit)
Description Harald Braun 2006-12-21 08:09:26 EST
Description of problem:

Fedora 6 ignores Intel ICH5 Controller. USB-Interfaces don't work.
After booting FC6 and the message "RedHat nash version 5.1.19.0.2 starting" 
follows the errormessage "usb 1-1: device descriptor read/all, error -71". 
After this message, the computer does 50 - 60 seconds nothing. After this time 
the computer boots up. USB doesn't work.

On the same Computer exists an Windows 2000-Installation. The USB-Handling is 
correct.
Before Installing FC6 I had installed FC5. Under FC5 the USB-Handling was 
correct too.
After Updating FC5 to FC6 the errormessage comes up.

Version-Release number of selected component (if applicable):

kernel 2.6.18-1.2868.fc6

How reproducible:


Steps to Reproduce:
1.
2.
3.
  
Actual results:


Expected results:


Additional info:
Comment 1 Harald Braun 2006-12-21 08:09:30 EST
Created attachment 144176 [details]
Installation-Log
Comment 2 Sammy 2006-12-21 09:37:52 EST
I am getting a similar error but I am not sure how it effects the system since
my usb devices seem to be working (I have not tried the scsi disks on attached
usb photoprinter). The message is embedded in the SCSI initialization:

============================================================================
Fusion MPT base driver 3.04.01
Copyright (c) 1999-2005 LSI Logic Corporation
Fusion MPT SAS Host driver 3.04.01
ACPI: PCI Interrupt 0000:03:08.0[A] -> GSI 16 (level, low) -> IRQ 169
mptbase: Initiating ioc0 bringup
ioc0: SAS1068: Capabilities={Initiator}
usb 1-1: device not accepting address 2, error -71
scsi0 : ioc0: LSISAS1068, FwRev=00063200h, Ports=1, MaxQ=511, IRQ=169
  Vendor: SEAGATE   Model: ST373454SS        Rev: S410
  Type:   Direct-Access                      ANSI SCSI revision: 05
SCSI device sda: 143374650 512-byte hdwr sectors (73408 MB)
sda: Write Protect is off
========================================================================
Comment 3 Harald Braun 2006-12-23 12:38:13 EST
My USB-Interface now works well. 
Only the long boot-sequence and the error-message are cumbersome.
Comment 4 Pete Zaitcev 2007-01-12 15:45:30 EST
It was suggested that such things happen during the port sharing between
ehci and uhci. For other people it did not occur if ehci was loaded first.

Harald, can we close it? How many messages do you receive? If just one,
it's all right. If they repeat, I'll look into it closer.
Comment 5 Will Woods 2007-01-15 11:43:27 EST
I believe the "usb 1-1: device not accepting address 2, error -71" message is a
different problem than the message and hang originally reported - see bug
#213411 for that one.

Since Harald reports that the hang and the "device descriptor read/all" message
are gone, I think this bug can be closed.
Comment 6 Harald Braun 2007-01-21 14:15:42 EST
I think, the bug cannot be closed. The following is fact:

After booting FC6 and the message "RedHat nash version 5.1.19.0.2 starting" 
follows the errormessage "usb 1-1: device descriptor read/all, error -71". 
After this message, the computer does 50 - 60 seconds nothing. After this time 
the computer boots up.

I think, it's a problem with USB 2.0 (ehci) or a problem during initializing the
SCSI Subsystem.

Comment 7 Rolf Fokkens 2007-02-12 07:27:58 EST
When plugging in a Memory Stick, I get the following:

Feb 12 13:20:25 home01 kernel: usb 5-4: new high speed USB device using ehci_hcd
and address 6
Feb 12 13:20:25 home01 kernel: usb 2-2: new full speed USB device using uhci_hcd
and address 5
Feb 12 13:20:25 home01 kernel: usb 2-2: device descriptor read/64, error -71
Feb 12 13:20:25 home01 kernel: usb 2-2: device descriptor read/64, error -71
Feb 12 13:20:25 home01 kernel: usb 2-2: new full speed USB device using uhci_hcd
and address 6
Feb 12 13:20:26 home01 kernel: usb 2-2: device descriptor read/64, error -71
Feb 12 13:20:26 home01 kernel: usb 2-2: device descriptor read/64, error -71
Feb 12 13:20:26 home01 kernel: usb 2-2: new full speed USB device using uhci_hcd
and address 7
Feb 12 13:20:26 home01 kernel: usb 2-2: device not accepting address 7, error -71
Feb 12 13:20:27 home01 kernel: usb 2-2: new full speed USB device using uhci_hcd
and address 8
Feb 12 13:20:27 home01 kernel: usb 2-2: device not accepting address 8, error -71

The device doesn't operate. When connecting a USB hard drive I get the following:

usb 5-4: new high speed USB device using ehci_hcd and address 7
usb 5-4: unable to read config index 0 descriptor/all
usb 5-4: can't read configurations, error -71
usb 5-4: new high speed USB device using ehci_hcd and address 8
usb 5-4: configuration #1 chosen from 1 choice
Initializing USB Mass Storage driver...
scsi2 : SCSI emulation for USB Mass Storage devices
usbcore: registered new interface driver usb-storage
USB Mass Storage support registered.
usb-storage: device found at 8
usb-storage: waiting for device to settle before scanning
usb 5-4: reset high speed USB device using ehci_hcd and address 8
usb 5-4: reset high speed USB device using ehci_hcd and address 8
usb 5-4: reset high speed USB device using ehci_hcd and address 8
usb 5-4: reset high speed USB device using ehci_hcd and address 8
usb-storage: device scan complete

And all works well
Comment 8 Paul Johnson 2007-02-14 14:39:02 EST
I get that same usb 1-1 error at start up, but until now I ignored it because
everything worked.  

After the most recent set of Fedora updates, my usb printer will not work and
gives the same error messages that your memory stick gives.

But my usb external CDROM does work!

Go figure.

That's with FC6 all updated to kernel-2.6.19-1.2895.fc6
Comment 9 Pete Zaitcev 2007-02-14 14:52:10 EST
Paul, file a new bug for me, please. Don't be fooled by messages, it's
a different problem.
Comment 10 Rolf Fokkens 2007-03-08 15:58:01 EST
kernel-2.6.19-1.2911.6.5.fc6, when connecting Memory stick, like Comment #7:

Mar  8 21:55:01 home01 kernel: usb 5-4: new high speed USB device using ehci_hcd
and address 5
Mar  8 21:55:01 home01 kernel: usb 2-2: new full speed USB device using uhci_hcd
and address 6
Mar  8 21:55:01 home01 kernel: usb 2-2: device descriptor read/64, error -71
Mar  8 21:55:02 home01 kernel: usb 2-2: device descriptor read/64, error -71
Mar  8 21:55:02 home01 kernel: usb 2-2: new full speed USB device using uhci_hcd
and address 7
Mar  8 21:55:02 home01 kernel: usb 2-2: device descriptor read/64, error -71
Mar  8 21:55:02 home01 kernel: usb 2-2: device descriptor read/64, error -71
Mar  8 21:55:02 home01 kernel: usb 2-2: new full speed USB device using uhci_hcd
and address 8
Mar  8 21:55:03 home01 kernel: usb 2-2: device not accepting address 8, error -71
Mar  8 21:55:03 home01 kernel: usb 2-2: new full speed USB device using uhci_hcd
and address 9
Mar  8 21:55:03 home01 kernel: usb 2-2: device not accepting address 9, error -71
Mar  8 21:55:05 home01 be[5036]: user rolf start assuming role root (root:root) 
[
Comment 11 Bug Zapper 2008-04-04 01:19:59 EDT
Fedora apologizes that these issues have not been resolved yet. We're
sorry it's taken so long for your bug to be properly triaged and acted
on. We appreciate the time you took to report this issue and want to
make sure no important bugs slip through the cracks.

If you're currently running a version of Fedora Core between 1 and 6,
please note that Fedora no longer maintains these releases. We strongly
encourage you to upgrade to a current Fedora release. In order to
refocus our efforts as a project we are flagging all of the open bugs
for releases which are no longer maintained and closing them.
http://fedoraproject.org/wiki/LifeCycle/EOL

If this bug is still open against Fedora Core 1 through 6, thirty days
from now, it will be closed 'WONTFIX'. If you can reporduce this bug in
the latest Fedora version, please change to the respective version. If
you are unable to do this, please add a comment to this bug requesting
the change.

Thanks for your help, and we apologize again that we haven't handled
these issues to this point.

The process we are following is outlined here:
http://fedoraproject.org/wiki/BugZappers/F9CleanUp

We will be following the process here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping to ensure this
doesn't happen again.

And if you'd like to join the bug triage team to help make things
better, check out http://fedoraproject.org/wiki/BugZappers
Comment 12 Bug Zapper 2008-05-06 13:13:27 EDT
This bug is open for a Fedora version that is no longer maintained and
will not be fixed by Fedora. Therefore we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen thus bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.